Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
workflows
/
{flow_name}
Get integration flow by name
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows/{flow_name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "description": "<string>",
  "spans": [
    {
      "name": "<string>",
      "startTime": "2023-11-07T05:31:56Z",
      "endTime": "2023-11-07T05:31:56Z",
      "duration": 123,
      "attributes": {},
      "status": {},
      "ended": true,
      "events": [
        {
          "name": "<string>",
          "timestamp": "2023-11-07T05:31:56Z",
          "attributes": {}
        }
      ],
      "spanContext": {
        "traceId": "<string>",
        "spanId": "<string>",
        "traceFlags": 123
      },
      "parentSpanContext": {
        "traceId": "<string>",
        "spanId": "<string>",
        "traceFlags": 123
      },
      "parentSpanContenxt": {
        "traceId": "<string>",
        "spanId": "<string>",
        "traceFlags": 123
      }
    }
  ],
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required
flow_name
string
required

Response

OK

IntegrationFlow represents the flow of an integration.

name
string
required

Name of the flow.

description
string
required

Description of the flow.

spans
object[]
required
id
string

ID of the flow. This is set by the back-end only.